### Method

# GdkPixbuf.Pixbuf.save_to_callback

#### Declaration [src]

    gboolean
    gdk_pixbuf_save_to_callback (
      GdkPixbuf* pixbuf,
      GdkPixbufSaveFunc save_func,
      gpointer user_data,
      const char* type,
      GError** error,
      ...
    )

#### Description [src]

Saves pixbuf in format `type` by feeding the produced data to a callback.

This function can be used when you want to store the image to something other than a file, such as an in-memory buffer or a socket.

If `error` is set, `FALSE` will be returned. Possible errors include those in the `GDK_PIXBUF_ERROR` domain and whatever the save function generates.

See `gdk_pixbuf_save()` for more details.

#### Parameters

`save_func` | `GdkPixbufSaveFunc`
| a function that is called to save each block of data that the save routine generates.
`user_data` | `gpointer`
| user data to pass to the save function.
`type` | `const char*`
| name of file format.
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`error` | `GError**`
| return location for error, or `NULL`
| Can be `NULL`
| Ownership is not transferred to the callee
`...` | ``
| list of key-value save options

#### Return value

Returns: `gboolean`
whether an error was set